// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// Very liberal edit of skybox by KittyWumpus* for this map.

textures/ut4_abridged/tav_sky
{
	qer_editorimage env/ut4_abridged/stormydays_ft.tga
	skyparms env/ut4_abridged/stormydays 1024 -

	q3map_sunEXT 0.9 0.9 0.9 900 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 500 3	
	q3map_globaltexture
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== My Logo ===---

textures/ut4_abridged/tav_lwlogo
{
	qer_editorimage textures/ut4_abridged/lw_logo1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
//	q3map_surfacelight 100

	{
		map textures/ut4_abridged/lw_logo1.tga
		blendFunc blend
	}
}

// ---=== FSK Signs ===---

textures/ut4_abridged/tav_hologo_b
{
	qer_editorimage textures/ut4_abridged/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_abridged/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_abridged/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_abridged/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_abridged/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_abridged/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_abridged/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_abridged/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_abridged/tav_hologo_r
{
	qer_editorimage textures/ut4_abridged/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_abridged/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_abridged/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_abridged/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_abridged/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_abridged/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_abridged/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_abridged/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Ladderclip ===---

textures/ut4_abridged/tav_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== NoDamage Textures ===---

textures/ut4_abridged/mrtx_oldbrk_05:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged/pr_floor002:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged/pr_floor002b:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged/pr_floor002r:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged/pr_floor064:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged/pr_floor064bb:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged/pr_floor064rr:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged/pr_floor065:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged/pr_floor065b:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged/pr_floor065r:q3map
{
	surfaceparm nodamage
}

// ---=== NonSolid ===---

// ---=== Glass ===---

textures/ut4_abridged/tav_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_abridged/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_abridged/tav_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	surfaceparm nonsolid
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_abridged/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_abridged/tav_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_abridged/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_abridged/e6basicstrip_blue
{
	qer_editorimage textures/ut4_abridged/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged/e6basicstrip_blue.tga
	}
}

textures/ut4_abridged/e6basicstrip_green
{
	qer_editorimage textures/ut4_abridged/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged/e6basicstrip_green.tga
	}
}

textures/ut4_abridged/e6basicstrip_orange
{
	qer_editorimage textures/ut4_abridged/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged/e6basicstrip_orange.tga
	}
}

textures/ut4_abridged/e6basicstrip_purple
{
	qer_editorimage textures/ut4_abridged/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged/e6basicstrip_purple.tga
	}
}

textures/ut4_abridged/e6basicstrip_red
{
	qer_editorimage textures/ut4_abridged/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged/e6basicstrip_red.tga
	}
}

textures/ut4_abridged/e6basicstrip_white
{
	qer_editorimage textures/ut4_abridged/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged/e6basicstrip_white.tga
	}
}

textures/ut4_abridged/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_abridged/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged/e6basicstrip_yellow.tga
	}
}

// ---=== teleorbs ===---

textures/ut4_abridged/tav_teleorbb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_abridged/soc_blue_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_abridged/soc_blue_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_abridged/tav_teleorbr
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_abridged/soc_red_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_abridged/soc_red_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}